# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = .
LIBS = .
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/rpctypes.h \
	${INCL}/rpcdefs.h \
	${INCL}/almsrv.h
PGMS = tget tsend tmonitor tservers tdevs tprops tproplist tdevlist tinfo thistory

CPP = g++ -c -g -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g 
LM = -lm

all: ${PGMS}

tget: tget.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tget tget.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tget

tsend: tput.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tsend tput.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tsend

thistory: thistory.o clntools.o ${LIBS}/libtine.a
	${CCL} -o thistory thistory.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s thistory

tinfo: tinfo.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tinfo tinfo.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tinfo

tdevs: tdevs.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tdevs tdevs.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tdevs

tdevlist: tdevlist.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tdevlist tdevlist.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tdevlist

tservers: tservers.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tservers tservers.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tservers

tprops: tprops.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tprops tprops.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tprops

tproplist: tproplist.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tproplist tproplist.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tproplist

tmonitor: tmonitor.o clntools.o ${LIBS}/libtine.a
	${CCL} -o tmonitor tmonitor.o clntools.o ${LIBS}/libtine.a ${LM}
	chmod a+s tget

tget.o: tget.c ${HDRS}
	${CC} tget.c

tput.o: tput.c ${HDRS}
	${CC} tput.c

tprops.o: tprops.c ${HDRS}
	${CC} tprops.c

tproplist.o: tproplist.c ${HDRS}
	${CC} tproplist.c

tservers.o: tservers.c ${HDRS}
	${CC} tservers.c

tdevs.o: tdevs.c ${HDRS}
	${CC} tdevs.c

tinfo.o: tinfo.c ${HDRS}
	${CC} tinfo.c

tmonitor.o: tmonitor.c ${HDRS}
	${CC} tmonitor.c

clntools.o: clntools.c ${HDRS}
	${CC} clntools.c

clean:
	rm *.o
