# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI     CC = cc         CCL = cc         LM = -lm
# OSF     CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

CPP = g++
CC = cc -c
CCL = cc
LM = -lm

libtine.a: server.o srvdbase.o srvquery.o srvip.o client.o clnip.o iplib.o dblib.o database.o err_list.o swaplib.o almsrv.o unixcmd.o syslib.o history.o toolkit.o
	ar r $@ server.o srvdbase.o srvquery.o srvip.o client.o clnip.o iplib.o dblib.o database.o err_list.o swaplib.o almsrv.o unixcmd.o syslib.o history.o toolkit.o

server.o:  server.c servdef.h prolog.h errors.h brdcast.h swaplib.h project.def
	${CC} server.c

srvdbase.o: srvdbase.c database.h servdef.h prolog.h srvip.h errors.h project.def
	${CC} srvdbase.c

srvquery.o: srvquery.c history.h servdef.h prolog.h srvip.h errors.h project.def
	${CC} srvquery.c

srvip.o: srvip.c servdef.h prolog.h srvip.h errors.h project.def
	${CC} srvip.c

srvipx.o: srvipx.c servdef.h prolog.h srvip.h srvipx.h errors.h project.def
	${CC} srvipx.c

history.o: history.c history.h servdef.h prolog.h srvip.h errors.h project.def
	${CC} history.c

toolkit.o: toolkit.c servdef.h prolog.h toolkit.h errors.h project.def
	${CC} toolkit.c

client.o: client.c prolog.h cprolog.h servdef.h errors.h swaplib.h rpctypes.h brdcast.h project.def
	${CC} client.c

clnip.o: clnip.c prolog.h cprolog.h servdef.h errors.h swaplib.h rpctypes.h brdcast.h project.def
	${CC} clnip.c

clnipx.o: clnipx.c prolog.h cprolog.h srvipx.h srvip.h servdef.h errors.h swaplib.h rpctypes.h brdcast.h project.def
	${CC} clnipx.c

iplib.o: iplib.c servdef.h prolog.h srvip.h errors.h project.def 
	${CC} iplib.c

dblib.o:  dblib.c database.h errors.h prolog.h project.def
	${CC} dblib.c

database.o: database.c prolog.h cprolog.h database.h servdef.h errors.h project.def
	${CC} database.c

almsrv.o:  almsrv.c almsrv.h database.h errors.h prolog.h project.def
	${CC} almsrv.c

unixcmd.o: unixcmd.c prolog.h servdef.h unixcmd.h project.def
	${CC} unixcmd.c 

err_list.o: err_list.c errors.h project.def
	${CC} err_list.c

swaplib.o: swaplib.c swaplib.h prolog.h servdef.h errors.h project.def
	${CC} swaplib.c 

syslib.o: syslib.c prolog.h servdef.h project.def
	${CC} syslib.c

clean:
	rm *.o
