#ifndef THREADER_H_
#define THREADER_H_

#include "rpctypes.h"
#if defined(__cplusplus) && !defined(FORCE_CPP)
extern "C" {
#endif

#ifdef MULTITHREADED
typedef struct 
{
  void (*tsk)(void);
  int rate;
  void *ref;
} BkgThreadFcn;
extern TINE_EXPORT int useMultiThreadedBackgroundTasks;
extern TINE_EXPORT int useMultiThreadedEquipmentFunctions;
extern int hEqpFcnThread;
int bkgCreateThread(BkgThreadFcn *tsk);
#define thread_dbglog(txt) {\
    dbglog("[T1]: %s %s %s -> %s",\
    cl->contract.EqpName,cl->contract.EqpDeviceName,\
    cl->contract.EqpProperty,(txt));\
  }

#if defined(UNIX)

#define THREAD_TYPE void *
#define THREAD_PARAM void *
#include "pthread.h"
typedef pthread_mutex_t * MXHANDLE;
extern pthread_attr_t gBkgThreadAttr;
void *bkgTaskThread(void *lpvThreadParam);
void *eqpTaskThread(void *lpvThreadParam);
#define threadExit(t) pthread_cancel((pthread_t)t)
#define ReleaseMutex(mx) pthread_mutex_unlock(mx)

#elif defined(WINNT)

#define THREAD_TYPE DWORD WINAPI 
#define THREAD_PARAM LPVOID
typedef HANDLE MXHANDLE;
extern DWORD dwBkgThreadId;
DWORD WINAPI bkgTaskThread(LPVOID lpvThreadParam);
DWORD WINAPI eqpTaskThread(LPVOID lpvThreadParam);
#define threadExit(t) TerminateThread((HANDLE)t,0)
#define bkgThreadResume(t) ResumeThread((HANDLE)t)

#endif

extern MXHANDLE hEqpThreadMutex;
extern MXHANDLE hSystemServerMutex;
extern MXHANDLE hSystemProducerMutex;
extern MXHANDLE hSystemClientMutex;
extern MXHANDLE hLinkTblMutex;
extern MXHANDLE hFecLogMutex;

int InitMutex(MXHANDLE *mx);
int InitSystemMutexSet(void);
int WaitForMutex(MXHANDLE mx,int to);
void ReleaseSystemMutex(MXHANDLE mx);

#define WaitForSystemMutex(mx,to) WaitForMutex(mx,to)

#endif /* MULTITHREADED */

#if defined(__cplusplus) && !defined(FORCE_CPP)
}
#endif

#endif /* THREADER_H_ */
